import { tmrTokenZIndex } from "../tmr-constants.js";
import { Draconique } from "./draconique.js";

export class Rencontre extends Draconique {

  type() { return '' }
  match(item) { return false; }
  manualMessage() { return false }
  async onActorCreateOwned(actor, item) { }

  code() { return 'rencontre' }
  tooltip(rencontre) { return `${rencontre.name} de force ${rencontre.system.force}` }
  img() { return 'systems/foundryvtt-reve-de-dragon/icons/tmr/rencontre.svg' }

  createSprite(pixiTMR) {
    return pixiTMR.sprite(this.code(), {
      zIndex: tmrTokenZIndex.rencontre,
      decallage: pixiTMR.sizes.decallage(0, 0),
      taille: () => pixiTMR.sizes.full,
    })
  }
}
